import type { PackageDependency } from '../../types';
import type { Fragment, Target } from '../types';
export declare const supportedRulesRegex: RegExp;
export declare function coerceFragmentToTarget(fragment: Fragment): Target | null;
export declare function extractDepFromFragment(fragment: Fragment): PackageDependency | null;
